Name:			telegramqml
Summary:		Telegram qml library
Version:		0.9.2
Release:		1%{?dist}
Group:			System Environment/Libraries
License:		GPLv3
URL:			http://aseman.co/en/products/cutegram/
# Source comes from the TelegramQt
# git@github.com:Aseman-Land/TelegramQML.git
# Use the following commands to generate the tarball:
# git archive --prefix=telegramqml-0.8.0/ v0.8.0-stable | xz > telegramqml-0.8.0.tar.xz
Source0:		%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(libssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	libqtelegram-ae-devel >= 6.0

%description
%{summary}.

%package devel
Summary: TelegramQML - development for TelegramQML
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
TelegramQML - development for TelegramQML

%prep
%setup -q

%build
mkdir -p %{_target_platform}-qt5
pushd %{_target_platform}-qt5
	%qmake_qt5 BUILD_MODE+=lib ..
popd

make %{?_smp_mflags} -C %{_target_platform}-qt5

%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}-qt5

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files 
%doc README.md
%license LICENSE
%{_qt5_libdir}/libtelegramqml.so.1*

%files devel
%{_qt5_libdir}/libtelegramqml.so
%{_qt5_headerdir}/telegramqml

%changelog
* Tue Mar 15 2016 Helio Chissini de Castro <helio@kde.org> - 0.9.2-1
- Update with latest upstream

* Mon Oct 05 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-1
- Update to latest stable upstream

* Thu Aug 06 2015 Helio Chissini de Castro <helio@kde.org> - 0.8.0-5
- fixed requests on package review https://bugzilla.redhat.com/show_bug.cgi?id=1246762

* Sun Jul 26 2015 Helio Chissini de Castro <helio@kde.org> - 0.8.0-4
- Can't cohexist yet with plugin. Need to be verified

* Sun Jul 26 2015 Helio Chissini de Castro <helio@kde.org> - 0.8.0-3
- Compile as plugin for qt creator and dynamic usage

* Fri Jul 24 2015 Helio Chissini de Castro <helio@kde.org> - 0.8.0-2
- Update search path for libqtelegram headers

* Fri Jul 24 2015 Helio Chissini de Castro <helio@kde.org> - 0.8.0-1
- New package
